Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

do i need to do the update

Discussion in 'Pro/Adv Discussion' started by lotusteve, Sep 17, 2015.

  1. lotusteve

    Joined:
    Sep 11, 2015
    Messages:
    586
    Likes Received:
    135
    Location:
    sheffield uk
    i have just got my p3a. checked the firmare and its on 1.1.9, the app keeps saying i need to update to 1.4
    its my first phantom and flys like a dream on 1.1.9. i dont want to use the new features of the new firmware just yet, so will i be ok just using it on 1.9. i have seen post about the new update not working too good with loss of gps signals and disconnecting controlers. i dont need that while iam learning.
     
  2. Meta4

    Meta4 Moderator
    Staff Member

    Joined:
    Jan 8, 2014
    Messages:
    7,763
    Likes Received:
    3,470
    If you act on everything you read on forums, you'll never do anything.
    Take everything you read with a (sometimes large) grain of salt.
    You are extremely unlikely to have any problems caused by updating - and if you want to, you can roll back anyway.
    The latest firmware seems to have very few complaints.
    If you are on 1.1.9, your horizon is curved. That was fixed in later versions of the firmware.
     
    lotusteve likes this.
  3. lotusteve

    Joined:
    Sep 11, 2015
    Messages:
    586
    Likes Received:
    135
    Location:
    sheffield uk
    thanks for the reply.. when i update do i have to go in stages of firmware releases or can i go from 1.9.1 to 1.4.
     
  4. rowdyjim

    Joined:
    Jul 26, 2015
    Messages:
    20
    Likes Received:
    6
    Location:
    Queensland

    I left mine on 1.1.9 for a couple of months, it flew well enough and gave me heaps of time to practice etc. I was waiting for the new features before i bothered updating.

    Updated to 1.4 recently and its even better to fly now with all of the new features.
     
  5. msinger

    Approved Vendor

    Joined:
    Oct 30, 2014
    Messages:
    19,096
    Likes Received:
    5,623
    Location:
    US
    Install 1.3.2 on your Phantom, remote controller, and batteries. Then, install 1.4 on your Phantom only. Follow these instructions exactly.
     
    bobmyers likes this.
  6. lotusteve

    Joined:
    Sep 11, 2015
    Messages:
    586
    Likes Received:
    135
    Location:
    sheffield uk
    hi. did you go from 1.1.9 straight to 1.4 ?.
     
  7. msinger

    Approved Vendor

    Joined:
    Oct 30, 2014
    Messages:
    19,096
    Likes Received:
    5,623
    Location:
    US
    You cannot do that. See my comment above.
     
    lotusteve likes this.
  8. D4T_PoM

    Joined:
    Jul 28, 2015
    Messages:
    693
    Likes Received:
    183
    Location:
    London UK
    Me personally am not too bothered about the new features, sticking to 1.1.9 for now as my P3 fly's like a charm (touch wood it carries on like that), have all the firmwares I need to update the P3 downloaded on my Laptop, PC and work PC so if I want to ever upgrade I can go through the steps as MSinger advised. I also have not updated the DJI GO app too on my Note 4 and iPad Mini2.
     
    lotusteve likes this.
  9. lotusteve

    Joined:
    Sep 11, 2015
    Messages:
    586
    Likes Received:
    135
    Location:
    sheffield uk
    cheers Del..
    i was all set to go to new firmware but like you have said p3 on 1.1.9 flys like a dream so i will pass untill i feel the need to move on. got a good flight in yesterday felt so good when it came home.. tested out the RTH as well. it was a bit breezy but had no problems at all.
     
  10. lotusteve

    Joined:
    Sep 11, 2015
    Messages:
    586
    Likes Received:
    135
    Location:
    sheffield uk
    thanks for the info..